{"openapi":"3.1.0","info":{"title":"GET /api/v1/budgets/{budget_id}/lines","version":"1.0.0","description":"List budget lines"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/budgets/{budget_id}/lines":{"get":{"tags":["budgets"],"summary":"List budget lines","description":"Get all line items for a budget.","operationId":"list_budget_lines_api_v1_budgets__budget_id__lines_get","parameters":[{"name":"budget_id","in":"path","required":true,"schema":{"type":"string","title":"Budget Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BudgetLineResponse"},"title":"Response 200 List Budget Lines Api V1 Budgets  Budget Id  Lines Get"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BudgetLineResponse":{"properties":{"id":{"type":"string","title":"Id","description":"Budget line UUID."},"budget_id":{"type":"string","title":"Budget Id","description":"Parent budget UUID."},"ledger_id":{"type":"string","title":"Ledger Id","description":"Ledger account UUID."},"ledger_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ledger Name","description":"Ledger account name."},"ledger_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ledger Type","description":"Ledger account type (revenue, expense, etc.)."},"jan_amount":{"type":"integer","title":"Jan Amount","description":"January budget amount in cents."},"feb_amount":{"type":"integer","title":"Feb Amount","description":"February budget amount in cents."},"mar_amount":{"type":"integer","title":"Mar Amount","description":"March budget amount in cents."},"apr_amount":{"type":"integer","title":"Apr Amount","description":"April budget amount in cents."},"may_amount":{"type":"integer","title":"May Amount","description":"May budget amount in cents."},"jun_amount":{"type":"integer","title":"Jun Amount","description":"June budget amount in cents."},"jul_amount":{"type":"integer","title":"Jul Amount","description":"July budget amount in cents."},"aug_amount":{"type":"integer","title":"Aug Amount","description":"August budget amount in cents."},"sep_amount":{"type":"integer","title":"Sep Amount","description":"September budget amount in cents."},"oct_amount":{"type":"integer","title":"Oct Amount","description":"October budget amount in cents."},"nov_amount":{"type":"integer","title":"Nov Amount","description":"November budget amount in cents."},"dec_amount":{"type":"integer","title":"Dec Amount","description":"December budget amount in cents."},"annual_amount":{"type":"integer","title":"Annual Amount","description":"Total annual budget amount in cents."},"quarterly_amounts":{"additionalProperties":{"type":"integer"},"type":"object","title":"Quarterly Amounts","description":"Amounts by quarter (q1, q2, q3, q4)."},"notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notes","description":"Line notes."},"business_id":{"type":"string","title":"Business Id","description":"Business UUID."},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Creation timestamp."},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"Last update timestamp."}},"type":"object","required":["id","budget_id","ledger_id","jan_amount","feb_amount","mar_amount","apr_amount","may_amount","jun_amount","jul_amount","aug_amount","sep_amount","oct_amount","nov_amount","dec_amount","annual_amount","quarterly_amounts","business_id","created_at","updated_at"],"title":"BudgetLineResponse","description":"Response schema for a budget line."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}